Package org.eclipse.m2m.atl.engine.vm

# Class SimpleDebugger.OperationCall

java.lang.Object
org.eclipse.m2m.atl.engine.vm.SimpleDebugger.OperationCall

All Implemented Interfaces:
  `Comparable`

Enclosing class:
  SimpleDebugger

protected class SimpleDebugger.OperationCall extends Object implements Comparable

## Constructor Summary

Constructors
Constructor
Description
`OperationCall(Operation op)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
`boolean`
`equals(Object o)`
`int`
`getCallCount()`
`int`
`hashCode()`
`void`
`incrementCallCount(List args)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OperationCall

public OperationCall(Operation op)

## Method Details

### incrementCallCount

public void incrementCallCount(List args)

### getCallCount

public int getCallCount()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### compareTo

public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`